Tags

Create and assign tags to a contact

Create new tags and immediately assign them to a specific contact in a single operation. Tags that already exist with the same name are reused.

POST /v1/tags/contacts/{contactId}/create-assign

Parameters

Path parameters

contactId
string (uuid) required

Request body

Content-Type: application/json

tagNames
array<string> required

Example

{
  "tagNames": [
    "string"
  ]
}

Responses

200 — Successful response

Content-Type: application/json

error
boolean required
message
string required
data
object required
data.tags
array<object> required
data.tags[].id
string (uuid) required
data.tags[].user_id
string
data.tags[].name
string
data.tags[]._count
object
data.tags[]._count.tags_contacts
integer

Example

{
  "error": false,
  "message": "string",
  "data": {
    "tags": [
      {
        "id": "00000000-0000-0000-0000-000000000000"
      }
    ]
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v1/tags/contacts/00000000-0000-0000-0000-000000000000/create-assign \
  --request POST \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "tagNames": [
    "string"
  ]
}'
Copyright © 2026